""" Vimsh configuration sample (2011-01-10)

""" VIMSH (highly experimental)
if !exists(':LoadREPL')
	let g:vimsh_sh="/usr/bin/python"
	let g:vimsh_filetype="python"
	let g:vimsh_split_method="below"
	" Keep the python filename in memory for later use …
	let g:vimsh_filename=expand('%')
	" Start python with the "from FILENAME import *" statement.
	let g:vimsh_sh_arg = '-i "'.expand(g:vimsh_filename).'"'

	command! LoadREPL call LoadREPL()
	function! LoadREPL()
		runtime vimsh/vimsh.vim
	endfunction

	" open vimsh buffer
	map <F12> :LoadREPL<CR>
	" save the current buffer, switch to vimsh buffer, force file reload
	" and return back to our original position.
	map <F5> <Esc>:w<CR>:below sb _vimsh_<CR>GAexecfile("<C-R>=expand(g:vimsh_filename)<CR>")<CR><Esc><C-W><C-W>
	" Copy-and-paste the last selection to REPL and return back to our
	" original buffer.
	map ,e y<Esc>:below sb _vimsh_<CR>G$pA<CR><Esc><C-W><C-W>
endif
